package com.zd.laboratory.domain;

import com.zd.common.core.enums.WarnMessageTypeEnum;
import com.zd.common.core.enums.WarnUserAttrEnum;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;

/**
 * 预警推送消息对象 lab_warn_push_message
 * 
 * @author zhoupan
 * @date 2021-10-06
 */
@ApiModel("预警推送消息")
public class LabWarnPushMessage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    @ApiModelProperty(value = "id")
    private Long id;
    /** 风险组 */
    @Excel(name = "风险组")
    @ApiModelProperty(value = "风险组")
    private Long riskGroup;
    /** 内容 */
    @Excel(name = "内容")
    @ApiModelProperty(value = "内容")
    private String context;
    /** 推送类型0：语音 1：短信 */
    @Excel(name = "推送类型0：语音 1：短信")
    @ApiModelProperty(value = "推送类型0：语音 1：短信")
    private WarnMessageTypeEnum pushType;
    /** 预警ID */
    @Excel(name = "预警ID")
    @ApiModelProperty(value = "预警ID")
    private Long warnId;
    /** 实验室ID */
    @Excel(name = "实验室ID")
    @ApiModelProperty(value = "实验室ID")
    private Long subId;
    /** 人员属性0：负责人1：内部人员 */
    @Excel(name = "人员属性0：负责人1：内部人员")
    @ApiModelProperty(value = "人员属性0：负责人1：内部人员")
    private WarnUserAttrEnum userAttributes;
    /** 收件人ID 语音时为空 */
    @Excel(name = "收件人ID 语音时为空")
    @ApiModelProperty(value = "收件人ID 语音时为空")
    private Long recipientId;
    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setRiskGroup(Long riskGroup)
    {
        this.riskGroup = riskGroup;
    }

    public Long getRiskGroup()
    {
        return riskGroup;
    }
    public void setContext(String context) 
    {
        this.context = context;
    }

    public String getContext() 
    {
        return context;
    }
    public void setPushType(WarnMessageTypeEnum pushType)
    {
        this.pushType = pushType;
    }

    public WarnMessageTypeEnum getPushType()
    {
        return pushType;
    }
    public void setWarnId(Long warnId) 
    {
        this.warnId = warnId;
    }

    public Long getWarnId() 
    {
        return warnId;
    }
    public void setSubId(Long subId) 
    {
        this.subId = subId;
    }

    public Long getSubId() 
    {
        return subId;
    }
    public void setUserAttributes(WarnUserAttrEnum userAttributes)
    {
        this.userAttributes = userAttributes;
    }

    public WarnUserAttrEnum getUserAttributes()
    {
        return userAttributes;
    }
    public void setRecipientId(Long recipientId) 
    {
        this.recipientId = recipientId;
    }

    public Long getRecipientId() 
    {
        return recipientId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("riskGroup", getRiskGroup())
            .append("context", getContext())
            .append("pushType", getPushType())
            .append("warnId", getWarnId())
            .append("subId", getSubId())
            .append("userAttributes", getUserAttributes())
            .append("recipientId", getRecipientId())
            .append("createTime", getCreateTime())
            .toString();
    }
}
